//
// Created by lukas on 10.04.20.
//

#pragma once

#include <Arduino.h>
#include <ESP8266WiFi.h>
#include <ESP8266WebServer.h>

class WifiManager {
public:
    WifiManager();

    void init();

    void holdAlive();

    int getWaitTime();

    void setlastPumpTime(unsigned long lastPumpTime);
    void setlastWaterOutage(unsigned long lastWaterOutage);
    void setPumpDuration(unsigned long lastPumpDuration);

private:
    // todo more dynamic
    static const uint8_t WasserSensorPin = 14;
    static const uint8_t DruckSensorPin = 12;

    ESP8266WebServer server;

    void handleRoot();

    void handleNotFound();

    void handleGet();

    unsigned long lastPumpTime, lastWaterOutage, lastPumpDuration;
};
